Set a well-known file
Upload a supported well-known file to a site.
The current restrictions on well-known files are as follows:
- Each file must be smaller than 100kb
- Less than 30 total files
- Have one of the following file extensions (or no extension):
.txt,.json,.noext
.noext
.noext is a special file extension that removes other extensions. For example, apple-app-site-association.noext.txt will be uploaded as apple-app-site-association. Use this extension for tools that have trouble uploading extensionless files.
Enterprise Only
This endpoint requires an Enterprise workspace.Required scope: site_config:write
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
site_id
Unique identifier for a Site
Request
This endpoint expects an object.
fileName
The name of the file
fileData
The contents of the file
contentType
The content type of the file. Defaults to application/json
Allowed values:
Response
File uploaded successfully
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error